﻿namespace Pospa.NET.WebPageTestApi.Interfaces
{
	public interface IBaseTestResponse
	{
		/// <summary>
		///     200 indicates a successful submission. Anything else is an error (and will come back as 400 with descriptive text)
		/// </summary>
		int StatusCode { get; }

		/// <summary>
		///     Descriptive error text explaining the failure
		/// </summary>
		string StatusText { get; }

		/// <summary>
		///     Request ID echoed from request (R parameter). Will not be present if not specified. Makes it easier to track asynchronous requests.
		/// </summary>
		string RequestId { get; }
	}
}