﻿namespace Pospa.NET.WebPageTestApi.Interfaces
{
	public interface ITestResponse : IBaseTestResponse
	{
		/// <summary>
		///     ID assigned to the test request (and used in all of the urls)
		/// </summary>
		string TestId { get; }

		/// <summary>
		///     URL to use to get the results in XML format
		/// </summary>
		string XmlUrl { get; }

		/// <summary>
		///     URL to use to direct the user to a results page (what you would normally get redirected to if not using the XML interface)
		/// </summary>
		string UserUrl { get; }

		/// <summary>
		///     URL to the summary results in CSV format (page-level data and timings). Will return a 404 if the test is not yet complete.
		/// </summary>
		string SummaryCsv { get; }

		/// <summary>
		///     URL to the full detail results in CSV format (request-level data and timings). Will return a 404 if the test is not yet complete.
		/// </summary>
		string DetailCsv { get; }
	}
}