﻿using System;
using System.Collections.Generic;

namespace Pospa.NET.WebPageTestApi.Interfaces
{
	public interface ITestResult : IBaseTestResponse
	{
		string TestId { get; }
		string SummaryUrl { get; }
		string TestUrl { get; }
		string Location { get; }
		string Connectivity { get; }
		int BwDown { get; }
		int BwUp { get; }
		int Latency { get; }
		int Plr { get; }
		DateTime Completed { get; }
		int Runs { get; }
		int SuccessfulFVRuns { get; }
		int SuccessfulRVRuns { get; }

		/// <summary>
		///     Averaged test results across all of the successful runs (a block each for first and repeat view data)
		/// </summary>
		IBaseTestResultBlock Average { get; }

		/// <summary>
		///     A block for each test run with the results for that run
		/// </summary>
		IEnumerable<ITestResultBlock> Results { get; }
	}
}