﻿using System;

namespace Pospa.NET.WebPageTestApi.Interfaces
{
	public interface ITestStatus : IBaseTestResponse
	{
		/// <summary>
		///     Test ID
		/// </summary>
		string TestId { get; }

		/// <summary>
		///     Number of test runs
		/// </summary>
		int Runs { get; }

		/// <summary>
		///     First view only
		/// </summary>
		bool FvOnly { get; }

		/// <summary>
		///     Selected location
		/// </summary>
		string Location { get; }

		/// <summary>
		///     Test start time
		/// </summary>
		DateTime? StartTime { get; }

		/// <summary>
		///     Elapsed run time
		/// </summary>
		/// <value>
		///     Number of elapsed econds
		/// </value>
		long Elapsed { get; }

		/// <summary>
		///     Test complete time
		/// </summary>
		DateTime? CompleteTime { get; }
	}
}